%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-trove-classifiers
Version:       2024.10.16
Release:       1mamba
Summary:       Canonical source for classifiers on PyPI (pypi.org)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pypa/trove-classifiers
Source:        https://pypi.debian.net/trove-classifiers/trove_classifiers-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: python-calver-py3
BuildRequires: python-calver-py310

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n trove_classifiers-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Thu Oct 17 2024 Automatic Build System <autodist@openmamba.org> 2024.10.16-1mamba
- automatic version update by autodist

* Mon Oct 14 2024 Automatic Build System <autodist@openmamba.org> 2024.10.13-1mamba
- automatic version update by autodist

* Sun Oct 13 2024 Automatic Build System <autodist@openmamba.org> 2024.10.12-1mamba
- automatic version update by autodist

* Sat Oct 12 2024 Automatic Build System <autodist@openmamba.org> 2024.10.11-1mamba
- automatic version update by autodist

* Sat Sep 14 2024 Automatic Build System <autodist@openmamba.org> 2024.9.12-1mamba
- automatic version update by autodist

* Sun Jul 21 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2024.7.2-1mamba
- update to 2024.7.2

* Wed Apr 10 2024 Automatic Build System <autodist@openmamba.org> 2024.4.10-1mamba
- automatic version update by autodist

* Tue Mar 26 2024 Automatic Build System <autodist@openmamba.org> 2024.3.25-1mamba
- automatic version update by autodist

* Mon Mar 04 2024 Automatic Build System <autodist@openmamba.org> 2024.3.3-1mamba
- automatic version update by autodist

* Fri Feb 23 2024 Automatic Build System <autodist@openmamba.org> 2024.2.23-1mamba
- automatic version update by autodist

* Thu Feb 22 2024 Automatic Build System <autodist@openmamba.org> 2024.2.22-1mamba
- automatic version update by autodist

* Thu Feb 01 2024 Automatic Build System <autodist@openmamba.org> 2024.1.31-1mamba
- automatic version update by autodist

* Tue Jan 09 2024 Automatic Build System <autodist@openmamba.org> 2024.1.8-1mamba
- automatic version update by autodist

* Wed Nov 29 2023 Automatic Build System <autodist@mambasoft.it> 2023.11.29-1mamba
- automatic version update by autodist

* Thu Nov 23 2023 Automatic Build System <autodist@mambasoft.it> 2023.11.22-1mamba
- automatic version update by autodist

* Wed Nov 15 2023 Automatic Build System <autodist@mambasoft.it> 2023.11.14-1mamba
- automatic version update by autodist

* Tue Nov 14 2023 Automatic Build System <autodist@mambasoft.it> 2023.11.13-1mamba
- automatic version update by autodist

* Fri Nov 10 2023 Automatic Build System <autodist@mambasoft.it> 2023.11.9-1mamba
- automatic version update by autodist

* Tue Nov 07 2023 Automatic Build System <autodist@mambasoft.it> 2023.11.7-1mamba
- automatic version update by autodist

* Wed Oct 18 2023 Automatic Build System <autodist@mambasoft.it> 2023.10.18-1mamba
- automatic version update by autodist

* Wed Oct 18 2023 Automatic Build System <autodist@mambasoft.it> 2023.10.17-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 2023.9.19-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Tue Sep 19 2023 Automatic Build System <autodist@mambasoft.it> 2023.9.19-1mamba
- automatic version update by autodist

* Tue Aug 08 2023 Automatic Build System <autodist@mambasoft.it> 2023.8.7-1mamba
- automatic version update by autodist

* Fri Aug 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.7.6-1mamba
- package created using the webbuild interface
